# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "derive-enum-all-values"
version = "0.2.0"
build = false
include = ["src/**/*"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A procedural derive macro which exposes a method named `all_values` that returns all defined values as a compile-time static."
readme = "README.MD"
license-file = "LICENSE"
repository = "https://github.com/Sewer56/derive-enum-all-values"

[lib]
name = "derive_enum_all_values"
path = "src/lib.rs"
proc-macro = true

[dependencies.proc-macro2]
version = "1.0.67"

[dependencies.quote]
version = "1.0.33"

[dependencies.syn]
version = "2.0.37"
features = ["extra-traits"]
